Change in docker-playground[master]: Introduce Docker image for ttcn-hnodeb-test

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Wed Nov 24 20:18:17 UTC 2021


pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/26359 )


Change subject: Introduce Docker image for ttcn-hnodeb-test
......................................................................

Introduce Docker image for ttcn-hnodeb-test

Change-Id: I191b9a29c75d0a1f0bc38d4e29facfc45826cd31
---
A ttcn3-hnodeb-test/Dockerfile
A ttcn3-hnodeb-test/HNB_Tests.cfg
A ttcn3-hnodeb-test/Makefile
A ttcn3-hnodeb-test/jenkins.sh
A ttcn3-hnodeb-test/osmo-hnodeb.cfg
5 files changed, 101 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/59/26359/1

diff --git a/ttcn3-hnodeb-test/Dockerfile b/ttcn3-hnodeb-test/Dockerfile
new file mode 100644
index 0000000..9659dd1
--- /dev/null
+++ b/ttcn3-hnodeb-test/Dockerfile
@@ -0,0 +1,13 @@
+ARG	REGISTRY
+ARG	USER
+FROM	$REGISTRY/$USER/debian-stretch-titan
+ARG	OSMO_TTCN3_BRANCH="master"
+
+ADD	http://git.osmocom.org/osmo-ttcn3-hacks/patch?h=$OSMO_TTCN3_BRANCH /tmp/commit
+RUN	ttcn3-docker-prepare "$OSMO_TTCN3_BRANCH" hnodeb
+
+VOLUME	/data
+
+COPY	HNB_Tests.cfg /data/HNB_Tests.cfg
+
+CMD	ttcn3-docker-run hnodeb HNB_Tests
diff --git a/ttcn3-hnodeb-test/HNB_Tests.cfg b/ttcn3-hnodeb-test/HNB_Tests.cfg
new file mode 100644
index 0000000..9190e1b
--- /dev/null
+++ b/ttcn3-hnodeb-test/HNB_Tests.cfg
@@ -0,0 +1,19 @@
+[ORDERED_INCLUDE]
+"/osmo-ttcn3-hacks/Common.cfg"
+"/osmo-ttcn3-hacks/hnodeb/HNB_Tests.default"
+
+[LOGGING]
+*.JUnitLogger.testsuite_name := "HNB_Tests"
+
+[TESTPORT_PARAMETERS]
+*.HNBVTY.CTRL_HOSTNAME := "172.18.33.20";
+*.STATSVTY.CTRL_HOSTNAME := "172.18.33.20";
+
+[MODULE_PARAMETERS]
+HNB_Tests.mp_hnodeb_ip   := "172.18.33.20";
+HNB_Tests.mp_hnbgw_iuh_ip   := "172.18.33.203";
+
+[MAIN_CONTROLLER]
+
+[EXECUTE]
+HNB_Tests.control
diff --git a/ttcn3-hnodeb-test/Makefile b/ttcn3-hnodeb-test/Makefile
new file mode 100644
index 0000000..ce2919e
--- /dev/null
+++ b/ttcn3-hnodeb-test/Makefile
@@ -0,0 +1,3 @@
+RUN_ARGS?=--sysctl net.ipv6.conf.all.disable_ipv6=0 --rm --network sigtran --ip 172.18.33.202 -v ggsn-test-vol:/data
+
+include ../make/Makefile
diff --git a/ttcn3-hnodeb-test/jenkins.sh b/ttcn3-hnodeb-test/jenkins.sh
new file mode 100755
index 0000000..6ffa98a
--- /dev/null
+++ b/ttcn3-hnodeb-test/jenkins.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+. ../jenkins-common.sh
+IMAGE_SUFFIX="${IMAGE_SUFFIX:-master}"
+docker_images_require \
+	"osmo-hnodeb-$IMAGE_SUFFIX" \
+	"ttcn3-hnodeb-test"
+
+set_clean_up_trap
+set -e
+
+mkdir $VOL_BASE_DIR/hnodeb-tester
+cp HNB_Tests.cfg $VOL_BASE_DIR/hnodeb-tester/
+
+mkdir $VOL_BASE_DIR/hnodeb
+cp osmo-hnodeb.cfg $VOL_BASE_DIR/hnodeb/
+
+SUBNET=33
+network_create $SUBNET
+
+echo Starting container with HNodeB
+docker run	--rm \
+		$(docker_network_params $SUBNET 20) \
+		--ulimit core=-1 \
+		-v $VOL_BASE_DIR/hnodeb:/data \
+		--name ${BUILD_TAG}-hnodeb -d \
+		$DOCKER_ARGS \
+		$REPO_USER/osmo-hnodeb-$IMAGE_SUFFIX
+
+echo Starting container with HNodeB testsuite
+docker run	--rm \
+		$(docker_network_params $SUBNET 203) \
+		--ulimit core=-1 \
+		-e "TTCN3_PCAP_PATH=/data" \
+		-v $VOL_BASE_DIR/hnodeb-tester:/data \
+		--name ${BUILD_TAG}-ttcn3-hnodeb-test \
+		$DOCKER_ARGS \
+		$REPO_USER/ttcn3-hnodeb-test
+
+echo Stopping containers
+docker container kill ${BUILD_TAG}-hnodeb
diff --git a/ttcn3-hnodeb-test/osmo-hnodeb.cfg b/ttcn3-hnodeb-test/osmo-hnodeb.cfg
new file mode 100644
index 0000000..e3925e8
--- /dev/null
+++ b/ttcn3-hnodeb-test/osmo-hnodeb.cfg
@@ -0,0 +1,25 @@
+!
+log gsmtap 172.18.33.203
+ logging level set-all debug
+ logging filter all 1
+!
+log stderr
+ logging filter all 1
+ logging color 1
+ logging print category 1
+ logging timestamp 1
+ logging print extended-timestamp 1
+ logging level set-all debug
+!
+line vty
+ no login
+ bind 172.18.33.20
+!
+hnodeb
+ cell_identity 1
+ location_area_code 2
+ routing_area_code 3
+ service_area_code 4
+ iuh
+  local-ip 172.18.33.20
+  remote-ip 172.18.33.203

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/26359
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I191b9a29c75d0a1f0bc38d4e29facfc45826cd31
Gerrit-Change-Number: 26359
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20211124/7455c96d/attachment.htm>


More information about the gerrit-log mailing list